%define upstream_name    Class-Iterator
%define upstream_version 0.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary: 	A perl iterator class
License: 	GPL+ or Artistic
Group: 		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:  noarch


%description
Class::Iterator is a generic iterator object class. It use a closure an
wrap into an object interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README
%{_mandir}/*/*
%{perl_vendorlib}/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.300.0-11.mga10
+ Revision: 2197968
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.300.0-10.mga9
+ Revision: 1802443
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.300.0-9.mga8
+ Revision: 1493544
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.300.0-8.mga7
+ Revision: 1266328
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.300.0-7.mga6
+ Revision: 1023975
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.300.0-6.mga6
+ Revision: 938394
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.300.0-5.mga5
+ Revision: 743821
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.300.0-4.mga5
+ Revision: 683922
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.300.0-3.mga4
+ Revision: 510078
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.300.0-2.mga3
+ Revision: 364410
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.300.0-1.mga1
+ Revision: 26197
- no meta.yml
- mageia rebuild
- imported package perl-Class-Iterator


* Sat Feb 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.300.0-1mdv2010.1
+ Revision: 505429
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.3-6mdv2010.0
+ Revision: 430330
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.3-5mdv2009.0
+ Revision: 255990
- rebuild

* Wed Dec 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.3-3mdv2008.1
+ Revision: 138075
- spec cleanup

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Jul 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-07-14 19:50:19 (41192)
- rebuild

* Fri Jul 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-07-14 19:48:34 (41191)
Import perl-Class-Iterator

* Thu Jun 16 2005 Olivier Thauvin <nanardon@mandriva.org> 0.3-1mdk
- first mdk release

